## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUFormatNumberFunctor.hpp File Reference

Include dependency graph for ICUFormatNumberFunctor.hpp:

Go to the source code of this file.

## Classes

- struct DecimalFormatCacheStruct
- struct DecimalFormatCacheStruct::DecimalFormatDeleteFunctor
- struct DecimalFormatCacheStruct::DecimalFormatFindFunctor
- class ICUFormatNumberFunctor
- class ICUFormatNumberFunctor::UnlocalizePatternFunctor

## Defines

- #define FUNCTIONICUFORMATNUMBERFUNCTOR_HEADER_GUARD_1357924680

## Typedefs

- typedef DecimalFormat DecimalFormatType

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef StylesheetExecutionContextDefault::FormatNumberFunctor FormatNumberFunctor

## Define Documentation

#define FUNCTIONICUFORMATNUMBERFUNCTOR_HEADER_GUARD_1357924680

## Typedef Documentation

typedef DecimalFormat DecimalFormatType

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef StylesheetExecutionContextDefault::FormatNumberFunctor FormatNumberFunctor

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.